Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List notifications

GET/workspaces/{organizationId}/notifications
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
unreadOnlystring

Only unread notifications

snoozedOnlystring

Only snoozed notifications

includeSnoozedstring

Include snoozed notifications

limitstring

Max notifications to return

Responses
200

Notifications list

notificationsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
recipientIdstringrequired
recipientTypestringrequired
issueIdstringrequired
typestringrequired
readbooleanrequired
snoozedUntilstring | nullrequired
metadataany | null
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/notifications' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "notifications": [
    {
      "id": "string",
      "organizationId": "string",
      "recipientId": "string",
      "recipientType": "string",
      "issueId": "string",
      "type": "string",
      "read": true,
      "snoozedUntil": "string",
      "metadata": null,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?